# Generated by Django 2.2.17 on 2021-06-16 16:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shuup', '0084_tracking_url'),
        ('canvas', '0006_rename_sdg_field'),
    ]

    operations = [
        migrations.AlterField(
            model_name='productsustainabilitygoals',
            name='goals',
            field=models.ManyToManyField(blank=True, related_name='product_sustainability_goals', to='canvas.SustainabilityGoal', verbose_name='projects'),
        ),
        migrations.AlterField(
            model_name='productsustainabilitygoals',
            name='product',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='product_sustainability_goals', to='shuup.ShopProduct'),
        ),
        migrations.CreateModel(
            name='CanvasStoreExtra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('spotify_uri', models.CharField(max_length=128)),
                ('supplier', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='canvas_store', to='shuup.Supplier')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CanvasStoreEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('location', models.CharField(max_length=64)),
                ('eventbrite_url', models.CharField(max_length=256)),
                ('store', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='store_events', to='canvas.CanvasStoreExtra')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
